## Command Line Options

The only required argument for all commands using “undada” is the project database file. The following table lists the command line options for “undada”.

Option | Description
--- | ---

-a[dd] file [files]
-a[dd] @filelist.txt

Specify one or more files to add to the database. Files can be specified in two ways:

- Individually: Separate filenames with spaces. For example -add *.ads *.adb adds all .ads and .adb files in the current directory to the project. Absolute paths are added to the project. For relative paths, use the -reladd option.
- In a text file: Use -add @filelist.txt to add all files that are listed in that file to the project. The file must contain one file per line. Full or relative paths may be used. A # sign in the first column of a line in the listfile indicates a comment.

Wildcards are expanded by the command shell. This option may be used multiple times on the same command line.

-create_83 -create_95 | Specify either the Ada83 or Ada95 language when creating a new database. This cannot be changed once the database is created. Creating a new database overwrites an existing database of the same name.
-comment [never|before|after|longest] | Modifies the “Associate Comments” setting, which can also be set in the Options tab of the Project Configuration dialog. See Options Tab.
-complexity_count_for_loops [on|off] | Modifies the “Count For-Loops in Complexity” setting, which can also be set in the Options tab of the Project Configuration dialog.
-complexity_count_conditions [on|off] | Modifies the “Count And/Or Operators in Strict Complexity” setting, which can also be set in the Options tab of the Project Configuration dialog.
-complexity_count_handlers [on|off] | Modifies the “Count Exception Handlers in Complexity” setting, which can also be set in the Options tab of the Project Configuration dialog.
-db database | Specify the name of the database to create or open. An extension of .uda is provided if no extension is given.
-define <name>[=value] ... | Define macros for pre-processor pragmas. These can also be set in the Macros tab of the Project Configuration dialog. See Macros Tab.

-d[elete] file [files]
-d[elete] @filelist.txt

Specify one or more files to delete from the database. Wildcards are expanded by the command shell.
Files can be specified in two ways: individually, separated by spaces, or in a text file, with one file per line.
For example -delete *.ads *.adb removes all .ads and .adb files in the current directory from the project. Or use -delete @filelist.txt to delete all files that are listed in that file to the project. The file must contain one file per line. Full or relative paths may be used. A # sign in the first column of a line in the listfile indicates a comment.
This option may be used multiple times on the same command line.

-error file | Specify a file to which error messages should be logged. If omitted then errors are sent to the standard error destination.
-free | Modifies the “Optimize for less memory usage versus speed” setting, which can also be set in the Options tab of the Project Configuration dialog. See Options Tab.
-h[elp] | Show the command line options.
-link_parameters -list [ordered] [status] | Modifies the “Create relations between formal and actual parameters” setting, which can also be set in the Options tab of the Project Configuration dialog.
-list [ordered] [status] | Lists files in the project. Specify “ordered” to also list the order in which files are examined during analysis. Specify “status” to report the current status of each file: “Okay” if current or “Changed” if file has been modified since last parse.
-quiet | Use for quiet processing, i.e. status messages will not be written to the screen. This argument is optional. By default, some status messages are written to standard output.
-rebuild | Performs a full reparse of all project source files whether they have been modified or not.
-refresh | Performs an incremental reparse of the project source files. Only modified and dependent files are re-parsed. This is the default action when no other option is specified. If project parameters have changed since the last build, be sure to use -rebuild instead of -refresh.
-reladd | Add a relative source file reference to a project.
-rellist | List source files with relative references.
-standard directorypath | Optional. Specifies path where source for Ada standard library resides. Use to override standard library provided with Understand and to specify alternate if your compiler uses an alternate standard. Only valid in conjunction with -create_83 or -create_95.
-v[erbose] | Use for verbose processing, i.e. status messages will be written to the screen. This argument is optional.

The following sections show example uses of undada.

Scientific Toolworks, Inc. http://www.scitools.com